Queue a remobilization command
curl --request POST \
--url https://fleet.graviton.ma/api/v2/objects/{imei}/remobilize \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"cmd": "<string>",
"gateway": "GPRS",
"type": "<string>"
}
'import requests
url = "https://fleet.graviton.ma/api/v2/objects/{imei}/remobilize"
payload = {
"cmd": "<string>",
"gateway": "GPRS",
"type": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({cmd: '<string>', gateway: 'GPRS', type: '<string>'})
};
fetch('https://fleet.graviton.ma/api/v2/objects/{imei}/remobilize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fleet.graviton.ma/api/v2/objects/{imei}/remobilize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cmd' => '<string>',
'gateway' => 'GPRS',
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"cmd_id": 123,
"user_id": 123,
"dt_cmd": "<string>",
"imei": "<string>",
"name": "<string>",
"gateway": "<string>",
"type": "<string>",
"cmd": "<string>",
"status": 123,
"re_hex": "<string>"
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}Commands
Queue a remobilization command
Queues a command that can affect the physical vehicle. Requires write access and the stop_engine permission for subaccounts. Confirm the device configuration and safe operating conditions before use. A matching account template or supported protocol command may be selected; otherwise supply a device-specific command. Queued does not mean executed.
POST
/
objects
/
{imei}
/
remobilize
Queue a remobilization command
curl --request POST \
--url https://fleet.graviton.ma/api/v2/objects/{imei}/remobilize \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"cmd": "<string>",
"gateway": "GPRS",
"type": "<string>"
}
'import requests
url = "https://fleet.graviton.ma/api/v2/objects/{imei}/remobilize"
payload = {
"cmd": "<string>",
"gateway": "GPRS",
"type": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({cmd: '<string>', gateway: 'GPRS', type: '<string>'})
};
fetch('https://fleet.graviton.ma/api/v2/objects/{imei}/remobilize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fleet.graviton.ma/api/v2/objects/{imei}/remobilize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cmd' => '<string>',
'gateway' => 'GPRS',
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"cmd_id": 123,
"user_id": 123,
"dt_cmd": "<string>",
"imei": "<string>",
"name": "<string>",
"gateway": "<string>",
"type": "<string>",
"cmd": "<string>",
"status": 123,
"re_hex": "<string>"
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}Authorizations
Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.
Path Parameters
Pattern:
^[A-Za-z0-9_-]{1,20}$Body
application/json

